<?php 
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
loadJS('jquery-validate');
loadJS('jquery-validate-messages');
$objetocalculo=new calculos();
$sessao = new sessao();
$anoCorrente=$sessao->getVar('anocorrente');
$amostraLong=$sessao->getVar('amostraLong');
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$cliente=$sessao->getVar('cliente');
$nomeOperador=$sessao->getVar('nomeuser');
$finalidade=$sessao->getVar('finalidade');
//echo("Operador: $nomeOperador idlabo=$idLabo tela=$tela<br>");
//vai capturar a ida da ultima amostrs 
//quando ele entrar aqui ele ja vai ler o numero da amostra a partir de uma session 
//vai ter um modulo perfeito onde ele vai selecionar amostra
//prieira ultima segunte anterior, aleatoria ao localizar vai voltar para o edit trazendo o numero da amostra na session 





	

//echo("Operador: $nomeOperador idlabo=$idLabo tela=$tela<br>");
switch ($tela):
case 'telaGeral':
$sessao = new sessao();
$fezUpload=$_POST['fezUpload'];
if($fezUpload=="")$fezUpload="NAO";

//BOTAO UPLOAD SWUBIR ARQQUIVO 
if(isset($_POST['bt_upload'])):
    $sessao = new sessao();
	$fezUpload="SIM";
    $arquivoFinal="arquivoImportarExcel.csv";
    //echo("Fazendo upload do arquivo:  $arquivoFinal <br>");
	$teste=$_FILES['arquivo'];
	//echo("loade inicio=".$teste ."  final <br>");
	if( $_FILES ): // Verificando se existe o envio de arquivos.
		//echo("Loade inicio=".$uploadfile ."  final<br>");
		if( $_FILES['arquivo'] ): // Verifica se o campo não está vazio.
			//echo  "achou if filesxxxloade inicio=".$uploadfile ."  final";
			//$dir = './arquivos/'; // Diretório que vai receber o arquivo.
			//isto funciona local
			//$dir = $_SERVER['DOCUMENT_ROOT'] .'semente2013/php/paineladm/ImagensClientes/';
			//isso funciona web
			$dir = $_SERVER['BASEURL'] .'ImagensClientes/';
			//$dir = 'http://gugeler.net/semente2013/php/paineladm/Imagens/';
			//echo ("dir================$dir<br>");
			
			
			
			$tmpName = $_FILES['arquivo']['tmp_name']; // Recebe o arquivo temporário.
			//assim funciona
			$name = $dir .$_FILES['arquivo']['name']; // Recebe o nome do arquivo.
			$nameDirecionado='ImagensClientes/'.$arquivoFinal;
			
			//assim funciona mas nao troca o nome do arquivo final
			//if( move_uploaded_file( $tmpName, $name ) ): // move_uploaded_file irá realizar o envio do arquivo.		
			//exemplo americano:  move_uploaded_file($_FILES["file"]["tmp_name"],"/path/file/saved/to/logo.jpg";		
	
            //if(move_uploaded_file($_FILES["arquivo"]["tmp_name"],$dir."imagemVigorS.jpg"))://funciona e troca o nome do arquivo final			
            if(move_uploaded_file($_FILES["arquivo"]["tmp_name"],$nameDirecionado))://funciona e troca o nome do arquivo final			
			    // Em caso de sucesso, retorna para a página de sucesso.
				printMSG('Upload realizado com sucesso! '.$nameDirecionado ."  redirecionado para " . $nameDirecionado,'aviso');
				$podeSubir="SIM";		
			else:
			   printMSG('Não foi possível fazer upload!','alerta'); 
			   $podeSubir="NAO";
			endif;//verificacao fianal para ver se foi enviado com sucesso
		endif;//fecha o if que testa se o arquivo ffoi localizado
    endif;//fecha o if Verificando se existe o envio de arquivos.		
endif; //isset do botao upload			

	
	
	
	
	
	
	
	if (isset($_GET['amt_id'])):
        $amt_id = $_GET['amt_id'];
		//captura o requerente
		$userbd = new amostradores();
        $userbd->extras_select = "WHERE  amt_id=$amt_id";
        $userbd->selecionaTudo($userbd);
        $resbd = $userbd->retornaDados();
		$nomeAmostrador=$resbd->amt_nome;
		$sessao->setVar('controle2',$amt_id);
		$sessao->setVar('controle4',$nomeAmostrador);
    endif;
	$amt_id=$sessao->getVar('controle2');	
    $prd_id=$sessao->getVar('idProdutor');
	//echo("prd_id=$prd_id<br>");
	
		
    $nomeAmostrador=$sessao->getVar('controle4');	
    $nomeProdutor=$sessao->getVar('controle3');	
    $dt_entrada_americana=$sessao->getVar('controle5');	

	
	//vai capturar a data do dia do recebimento
	$recebimento=$_POST['recebimento'];
	if($recebimento=="")$recebimento=date("d/m/Y");

	
	
	
	
	
	
	//vai salvar as amostras&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
	//vai salvar as amostras&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
	//vai salvar as amostras&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
	//vai salvar as amostras&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
	//vai salvar as amostras&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
	//vai salvar as amostras&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
	//vai salvar as amostras&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
    if(isset($_POST['bt_gravaAmostras']) && $_POST['podeSubir']=="SIM"):
	 
	  $fezUpload="NAO";
	  $podeSubir="NAO"; 
	 
    /*
    //aqui cria o vetor novamente //////////////////////////
	$contaLinha=0;
	$arquivo = fopen('ImagensClientes/arquivoImportarExcel.csv', 'r');
	// Lê o conteúdo do arquivo
	while(!feof($arquivo))
	{
	$contaLinha++;
	$contaColuna=0;
	// Pega os dados da linha
	$linha = fgets($arquivo, 1024);
    //echo("linha=$linha  coluna=$coluna<br>"); 
	// Divide as Informações das celular para poder salvar
	$dados = explode(';', $linha);
	//print_r($dados);
	foreach($dados as $information){
		$contaColuna++;
		//echo $information;
		$vetorFinal[$contaLinha][$contaColuna]=trim($information);//cria o vetor bidimensional
	}
    
	}
	// Fecha arquivo aberto
	fclose($arquivo);
    $colunaCodCultivar=17;
	echo("147 linha recem lida na fase de salvamento=$contaLinha  coluna=$contaColuna<br>"); 
*/

////este concunto é igual aquele que ttem na linha 147////////////////////
	$contaLinha=0;
	$arquivo = fopen('ImagensClientes/arquivoImportarExcel.csv', 'r');
	// Lê o conteúdo do arquivo
	while(!feof($arquivo))
	{
	$contaColuna=0;
	// Pega os dados da linha
	$linha = fgets($arquivo, 1024);
    //echo("linha=$linha  coluna=$coluna<br>"); 
	// Divide as Informações das celular para poder salvar
	$dados = explode(';', $linha);
	//print_r($dados);
	//PROBLEMA: A MATRIZ NAO É LIMPA, POR ISSO CRIA UM NUMERO DE REGISTROS SEM CONTROLE
	//POR ISSO A PRIMEIRA COLUNA DEVE ESTAR POPULADA OBRIGATORIAMENTE E ELA SERA CHECADA
    $vaiCriarRegistro="NAO";
	foreach($dados as $information){
	  $contaColuna++;
	  //echo("480linha=contaLinha  information=$information<br>"); 
	  //aqui  vai checar o 1º elemento populado. Na qualiteste é o prorio numero da amostra	
	  if($contaColuna==1):
	      //echo("482  information=$information<br>"); 
		  if($information!=""):
		      $information=trim($information);
		      $tama=strlen($information);
              //despreza caracateres que nao sao numeros
			  $texto="";
              for($ii=0;$ii<=$tama;$ii++):
                $c=substr($information,$ii,1);			  
			    if($c=='0'||$c=='1'||$c=='2'||$c=='3'||$c=='4'||$c=='5'||$c=='6'||$c=='7'||$c=='8'||$c=='9')$texto=$texto.$c;
			  endfor;
			  $tama=strlen($texto);
			  $information=$texto;
			  
		      //echo("483   information=$information  tama=$tama    <br>");
		      $contaLinha++;
              $vaiCriarRegistro="SIM";
	      endif;		   
	  endif;   
      if($vaiCriarRegistro=="SIM"):
        //if($contaColuna<4)echo("492 contaLinha= $contaLinha contaColuna=$contaColuna nformation=$information<br>"); 
        $vetorFinal[$contaLinha][$contaColuna]=$information;//cria o vetor bidimensional
      endif;
	}
    
	}
	// Fecha arquivo aberto
	fclose($arquivo);
    //echo("498 acabou de ler o contalinha=$contaLinha<br>");
    $colunaCodCultivar=17;
//////////////////////////



	//ja vai colocar no programa
    //faz verificacoes
	//verifica se os numeros de amostra estao livres
    $userAmo = new amostras();
    $user = new cultivaresespecies();
	  for($i=1;$i<=$contaLinha;$i++):
		$protocolo=$vetorFinal[$i][1];
		$cultivar=trim(utf8_encode($vetorFinal[$i][5]));
		$especie=strtoupper(trim(utf8_encode($vetorFinal[$i][4])));
		//$protocolo=585;
		//testa se tem a amostra
		if($protocolo>0):
			$userAmo->extras_select = "WHERE fic_ano='2020' and fic_amostra=".$protocolo;
			//echo $userAmo->extras_select;
			$userAmo->selecionaTudo($userAmo);
			while($resAmo = $userAmo->retornaDados()):
	          //echo("<br>Amostra $protocolo ja existe");		
			endwhile;
        endif; 
		//VAI TESTAR A CULTIVAR//////////////////////
		if($cultivar=='-O-'):
		  	$user->extras_select = "where ctv_especie=esp_id && hac_id_labo=".$idLabo." && hac_id_cultivar=ctv_id  and esp_nome='".$especie."' and ctv_nome='-O-'";
		    $user->selecionaTudo($user);
			$contador=0;  
		    while ($res = $user->retornaDados()):
			  $codCultivar=$res->ctv_id;
			  $codi=$user->extras_select ;
			  //echo("<br>codCultivar  $codCultivar  contador=$contador <br>");
			  $vetorFinal[$i][$colunaCodCultivar]=$codCultivar;
			  //$vetorFinal[$i][2]=$codCultivar;
	          $contador++;
		    endwhile;  
		else:
			$user->extras_select = "where  ctv_especie=esp_id && hac_id_labo=".$idLabo." && hac_id_cultivar=ctv_id  and ctv_nome='".$cultivar."'";
		    $user->selecionaTudo($user);
			$contador=0;  
		    while ($res = $user->retornaDados()):
			  $codCultivar=$res->ctv_id;
			  //echo("<br>codCultivar  $codCultivar  contador=$contador  <br>");
			  $vetorFinal[$i][$colunaCodCultivar]=$codCultivar;
			  //$vetorFinal[$i][2]=$codCultivar;
	          $contador++;
		    endwhile;  
        endif;//testou se cultivar =-o-

		//$codUltimaCultivar= $codCultivar;        
		//if($contador==0)echo("<br>Cultivar $cultivar nao foi encontrada<br>");
		///////////////////
      endfor;  	
	  //fim da criacao do vetor
		//aqui tem que criar o registro de PURE e GERM na tabela rean
        //criando registro de GERM
		//vai pegar o formato deful 8x50  ou 4x100
	    $userg = new tabeladeful();
		$userg->extras_select =" where   cod_lab=".$idLabo ;
	    $userg->selecionaTudo($userg);
		while ($resg = $userg->retornaDados()):
	        $formato=$resg->formato_germinacao;//4x100  8x50 
			$defulOutrasCultivares=$resg->outras_cultivares;
	    endwhile;
		
		
		//se for analise previa entao o formato padrao é 4x50 seugerido por qualiteste dias 10/09/16
		//$finalidade=$sessao->getVar('finalidade');
		if($finalidade=='PREVIA')$formato='4x50';
		//echo("repeticao=$repeticao=finalidade $finalidade<br>");
		if(substr($cliente,0,8)=='DIMICRON')$formato='4x100';
		//echo("ddddddddddddeful outras cultivares $defulOutrasCultivares<br>");			
		//aqui captura dados da amostra que esta na tela
        $guardaAmostraLong=$amostraLong;//para replicar testes a realizar
		//	'fic_dt_entrada' => $dt_entrada_americana,//era assim mas mudeipara pgar a data do dia
		//    'fic_dt_entrada' => date('Y-m-d'), //atendendo germinax ele nao quer a data do dia para a data de entrada...
       //aqui captura dados da amostra anterior ou nao, dependendo se tento criar amostra branca
	     $mensagemInclusao='Foi criada uma nova amostra! A nova amostra é idêntica à amostra que estava na tela. Não deixe de editar Lote e outros dados que possivelmente mudam. A data de entrada e a data do protocolo foi atribuida a data atual, se precisar, edite isso também. A data de amostragem é copiada da amostra anterior. O sistema também traz tratamento,temperatura e substrato, que foi cadastrado para esta especie. Acesse:CADASTROS->HABILITAR ESPECIE->TRATAMENTO MAIS FREQUENTE. ';
    //PREPARACAO FINAL DOS CAMPOS
	//valida a data de entrada
	$recebimento=$_POST['recebimento'];
	if($recebimento=="")$recebimento=date("d/m/Y");
	$dt_entrada=$recebimento;
	$objetoValidacao=new validacao();
    $retorno=$objetoValidacao->validaDataEntrada($dt_entrada);//esta data vai validar o ano e somente esta
    $vaiGravar=TRUE;
	if($retorno=='invalida'):
	   printMSG('Atenção: Preencha corretamente a data de entrada no formato dd/mm/aaaa, e do ano corrente, pois nenhum dado foi alterado. ','alerta');
       $vaiGravar=FALSE;
    else:
	   $dt_entrada_americana=$retorno;
	   $sessao->setVar('controle5',$dt_entrada_americana);
	   //echo("data americana salvando $dt_entrada_americana<br>");
    endif;
	  
	  
	  
	  
	  $contaLinhaReal=0;  
	  $sessao = new sessao();
	  $prd_id=$sessao->getVar('idProdutor');
	  //echo("401xxxxxxxxxxxxxxxx cultivar=$idCultivar  prdid= $prd_id amtid= $amt_id  <br>");  	    
	  for($i=1;$i<=$contaLinha;$i++):
	     //capturando valores para levar para gravacao
         $safra=$vetorFinal[$i][9];
         $lote=$vetorFinal[$i][6];
         $funcao='PREVIA';
         $registrador= substr($nomeOperador,0,10);
		 $dt_protocolo=date('d/m/Y');
		 $dt_entrada= $dt_entrada_americana;
		 $dt_amostragem=$vetorFinal[$i][3];
		 $categoria=  $vetorFinal[$i][7];
         $peneira=  $vetorFinal[$i][8];
         $previsao=  '-O-';
         $importacao='-O-';
         $campo_string='-O-';
		 $quantia= $vetorFinal[$i][11];
		 $peso=$vetorFinal[$i][12];
         list($quantia1,$quantia2) = explode("#", $quantia);
         list($peso1,$peso2) = explode("#", $peso);
         $repre_unid=$quantia1." ".$quantia2." ".$peso1." ".$peso2;
         //$repre_unid=$repreGravar;
         $procedencia=  utf8_encode($vetorFinal[$i][10]);
		 $status=strtoupper($vetorFinal[$i][15]);
		 if($status=="A")$statusGravar="1";
		 if($status=="R")$statusGravar="2";
		 if($status=="C")$statusGravar="3";
		 
		 
         $aparelho= '-O-';
         $balanca= '-O-';
         $tratamento= '-O-';
         $tta= '-O-';
         $tta_complementar=  '-O-';
         $status_finalizada=  '-O-';
         $status_pago=  '-O-';
         $ano   = date("Y");
		 //echo("ano= $ano<br>");
		 $outrasCultivares=$defulOutrasCultivares;
         $idCultivar=$vetorFinal[$i][17];
		 //if($idCultivar<1)$idCultivar=$codUltimaCultivar;
		 //echo(" idcultivar=$idCultivar  i=$i  $vetorFinal[$i][17]  $vetorFinal[3][17] procedencia= $procedencia repre_unid=$repre_unid<br>");
		 
         //testes realizar
		 $testes=$vetorFinal[$i][16];
         list($t[1],$t[2],$t[3],$t[4],$t[5],$t[6],$t[7],$t[8]) = explode(",", $testes);
		 //faz um ajuste
         for($k=1;$k<=8;$k++):
		  
		   //retirados da tabela da qualiteste
		   if(trim($t[$k])=="PZ")$t[$k]='PUR';
		   if(trim($t[$k])=="G")$t[$k]='GER';
		   if(trim($t[$k])=="TZO")$t[$k]='TZO';
		   if(trim($t[$k])=="EA")$t[$k]='EAC';
		   if(trim($t[$k])=="PMS")$t[$k]='PMS';
		   if(trim($t[$k])=="DOSN")$t[$k]='DOS';
		   if(trim($t[$k])=="FRI")$t[$k]='FRI';
   		   if(trim($t[$k])=="CLV")$t[$k]='CLV';
		   if(trim($t[$k])=="INF")$t[$k]='INF';
		   if(trim($t[$k])=="OCV")$t[$k]='VOC';
		   if(trim($t[$k])=="DTU")$t[$k]='DTU';
		   if(trim($t[$k])=="PER")$t[$k]='PER';
		   if(trim($t[$k])=="GQD")$t[$k]='GQD';
		   if(trim($t[$k])=="GBT")$t[$k]='GBT';
		   if(trim($t[$k])=="VLC")$t[$k]='VLC';
		   if(trim($t[$k])=="GP")$t[$k]='GER';
		   if(trim($t[$k])=="GPE")$t[$k]='GPE';
		   if(trim($t[$k])=="EA24H")$t[$k]='E24';
		   if(trim($t[$k])=="EA36H")$t[$k]='E36';
		   if(trim($t[$k])=="EA48H")$t[$k]='E48';
		   if(trim($t[$k])=="EA72H")$t[$k]='E72';
		   if(trim($t[$k])=="EA96H")$t[$k]='E96';
		   if(trim($t[$k])=="EA120H")$t[$k]='E120';
		   if(trim($t[$k])=="GA")$t[$k]='ARE';
		   if(trim($t[$k])=="BVI")$t[$k]='BVI';
		   if(trim($t[$k])=="BOL")$t[$k]='BOL';
		   if(trim($t[$k])=="PEL")$t[$k]='PEL';
		   //if(trim($t[$k])=="TZO")$t[$k]='TZF';
		   if(trim($t[$k])=="VGS")$t[$k]='VGS';
		   if(trim($t[$k])=="CANT")$t[$k]='CAN';
		   if(trim($t[$k])=="GA")$t[$k]='GAR';
		   if(trim($t[$k])=="TRA")$t[$k]='TRA';
		   if(trim($t[$k])=="AMA")$t[$k]='AMA';
		   if(trim($t[$k])=="CORTE")$t[$k]='COR';
		   if(trim($t[$k])=="DMV")$t[$k]='DMV';
		   if(trim($t[$k])=="VAT")$t[$k]='VAT';
		   if(trim($t[$k])=="RET")$t[$k]='RET';
		   if(trim($t[$k])=="CP")$t[$k]='CLP';
		   if(trim($t[$k])=="FI")$t[$k]='FIT';
		 endfor;
         //COMCATENA
         $testesRealizar=""; 
		 $quantosTestes=0;		 
         for($k=1;$k<=8;$k++):
            if($t[$k]!=""):
			   $testesRealizar=$testesRealizar.$t[$k].';';
			   $quantosTestes++;
			endif;    		 
		 endfor;

		 //echo("cultivar= $idCultivar <br>");
         //so vai salvar se a cultivar for maior que zero
	
		 
		 
		 if($idCultivar>0 && $prd_id>0 && $amt_id>0 && $vaiGravar==TRUE):
		    $contaLinhaReal++;
            //mudanca feita em 290121 			
            if($cliente=='QUALITESTE')$finalidade="DEFINITIVA";//ISSO AQUI ANTES ERA QUALITESTE PREVIA MUDOU EM JAERIO DE 2021
			if($finalidade=='PREVIA'):
               $novaAmostraPrevia=$vetorFinal[$i][1];
			   $novaAmostraDefinitiva=0; 
			   $enquadramentoPrevia="S";
			   $enquadramentoDefinitiva="N";
			else:
               $novaAmostraPrevia=0;
			   $novaAmostraDefinitiva=$vetorFinal[$i][1]; 
			   $enquadramentoPrevia="N";
			   $enquadramentoDefinitiva="S";
			endif;
			
		    $amoNova = new amostras(array(
            'fic_amostra'=> $novaAmostraDefinitiva,
            'fic_amostra_previa'=> $novaAmostraPrevia,
            'fic_previa'=> $enquadramentoPrevia,
            'fic_definitiva'=> $enquadramentoDefinitiva,

            'fic_lote'   => $lote,
            'fic_funcao' =>  $funcao,
			'fic_registrador' => $registrador,
			'fic_dt_protocolo' => $recebimento,
			'fic_dt_entrada' => $dt_entrada_americana,
			'fic_dt_amostragem' => $dt_amostragem,
			'fic_categoria' =>  $categoria,
            'fic_peneira' =>  $peneira,
            'fic_previsao' =>  $previsao,
            'fic_importacao' =>$importacao,
            'fic_campo_string' =>$campo_string,
            'fic_repre_unid' =>$repre_unid,
            'fic_procedencia' =>  $procedencia,
            'fic_aparelho' =>$aparelho,
            'fic_balanca' =>$balanca,
            'fic_tratamento' =>$tratamento,
            'fic_tta' =>$tta,
            'fic_tta_complementar' =>$tta_complementar,
            'fic_status_finalizada' => $status_finalizada,
            'fic_status_pago' => $status_pago,
            'fic_safra' =>  $safra,
            'fic_cultivar' =>  $idCultivar,
            'fic_produtor' =>  $prd_id,
            'fic_amostrador' =>  $amt_id,
            'fic_labo'   =>  $idLabo,
            'fic_ano'   =>  $ano ,
			'fic_outrascultivares'=>$outrasCultivares,
			'fic_obs2015_a'=>'-',
			'fic_obs2015_b'=>'-',
			'fic_obs2015_c'=>'-',
			'fic_obs2015_d'=>'-',
			'fic_testes_realizar'=>$testesRealizar,
			'fic_analise_reanalise'=>$statusGravar,
        ));
		//echo("aqui pega o fic id novo $fic_id <br>");
        $amostraLong=$amoNova->inserir($amoNova);//esta linha funcionava antes
        //aqui deveria criar os registro na rean pure e germ
        $reanNova = new rean1(array(
            'rea_ficha'=> $amostraLong,
            'rea_teste'=> 'GERM',
            'rea_lei4'=> $formato,
			'rea_datageralteste'=>date("Y-m-d"),  
			'rea_datainicio'=>$dataPreenchida,  
			'rea_duracao'=>" ",  
			'rea_campo60a'=>$tratamento,
			'rea_campo20a'=>$temperatura,
			'rea_campo60b'=>$substrato, 
        ));
        $reanLong=$reanNova->inserir($reanNova);
        //criando registro de PURE  //AQUI JA VOU TRACER O VALOR DO PESO MINIMO PARA PUREZA HIHIHIH
        $reanNova = new rean1(array(
            'rea_ficha'=> $amostraLong,
            'rea_teste'=> 'PURE',
            'rea_lei1'=> '',
            'rea_lei2'=> '',
            'rea_lei3'=> '',
            'rea_lei4'=> '',
        ));
        $reanLong=$reanNova->inserir($reanNova);
	   else:
	      
	   
	   
	      echo("Variaveis essenciais zeradas    amt_id=$amt_id    sessao->getVar('idProdutor')=$sessao->getVar('idProdutor')<br>");
	   
	   endif;//testa se a cultivar é maior que zero
	   //grava na tabela testes solicitados//////####################################
        $user = new testesSolicitados();
	    $user->valorpk = $tes_ficha;
	    $user->extras_select = " WHERE tes_ficha=".$amostraLong;
		$user->deletarRegistros($user);
	    //vai verificar quais os testes foram marcados com uso do comendo isset
		for($ii=1;$ii<=$quantosTestes;$ii++)
		{
	       //echo("aqui ahcou $vetor[$i]<br>");
	       $userTestes = new testesSolicitados(array(
	          'tes_ficha'=>$amostraLong,
	          'tes_teste'=>$t[$ii],
	       ));
	       $userTestes->inserir($userTestes);
		}
	   //fim da gravcao testes solicitados##########################################
	   
       //final do enxerto	
      endfor;	
      
      printMSG('Foram inseridas ' . $contaLinhaReal . ' amostras.  Confira no registro de amostras e nao clique novamente no botão subir.. ','aviso');
endif;//final do isset botao salvar	
	
	
	
	
	
    $amt_id=$sessao->getVar('controle2');	
    $prd_id=$sessao->getVar('idProdutor');	
    $nomeAmostrador=$sessao->getVar('controle4');	
    $nomeProdutor=$sessao->getVar('controle3');	
    //////////////////////
	//valida a data de entrada
	$recebimento=$_POST['recebimento'];
	if($recebimento=="")$recebimento=date("d/m/Y");
    $dt_entrada=$recebimento;
	$objetoValidacao=new validacao();
    $retorno=$objetoValidacao->validaDataEntrada($dt_entrada);//esta data vai validar o ano e somente esta
    if($retorno=='invalida'):
	   printMSG('Atenção: Preencha corretamente a data de entrada no formato dd/mm/aaaa, e do ano corrente, pois nenhum dado foi alterado. ','alerta');
       $vaiGravar=FALSE;
    else:
	   $dt_entrada_americana=$retorno;
	   $sessao->setVar('controle5',$dt_entrada_americana);
	   //echo("data americana salvando $dt_entrada_americana<br>");
    endif;
	$dt_entrada_americana=$sessao->getVar('controle5');	
    echo("Serão inseridas amostras do cliente $nomeProdutor ( $prd_id ) <br>");
    echo("Sendo o amostrador: $nomeAmostrador ( $amt_id )<br>");
    echo("Data do recebimento informada: $recebimento  $dt_entrada_americana <br>");
	// Abre o Arquvio no Modo r (para leitura)
  
  
  //SO VAI LER SE TIVER SIDO FEITO UPLOAD/////////////////////////////////////////////////////
  //SO VAI LER SE TIVER SIDO FEITO UPLOAD/////////////////////////////////////////////////////
  //SO VAI LER SE TIVER SIDO FEITO UPLOAD/////////////////////////////////////////////////////
  //SO VAI LER SE TIVER SIDO FEITO UPLOAD/////////////////////////////////////////////////////
  //SO VAI LER SE TIVER SIDO FEITO UPLOAD/////////////////////////////////////////////////////
  //SO VAI LER SE TIVER SIDO FEITO UPLOAD/////////////////////////////////////////////////////
  //SO VAI LER SE TIVER SIDO FEITO UPLOAD/////////////////////////////////////////////////////
  //SO VAI LER SE TIVER SIDO FEITO UPLOAD/////////////////////////////////////////////////////
  if($fezUpload=="SIM"):
	$contaLinha=0;
	$arquivo = fopen('ImagensClientes/arquivoImportarExcel.csv', 'r');
	// Lê o conteúdo do arquivo
	while(!feof($arquivo))
	{
	$contaColuna=0;
	// Pega os dados da linha
	$linha = fgets($arquivo, 1024);
	$linha = utf8_encode($linha);
    //echo("linha=$linha  coluna=$coluna<br>"); 
	// Divide as Informações das celular para poder salvar
	$dados = explode(';', $linha);
	//print_r($dados);
	//PROBLEMA: A MATRIZ NAO É LIMPA, POR ISSO CRIA UM NUMERO DE REGISTROS SEM CONTROLE
	//POR ISSO A PRIMEIRA COLUNA DEVE ESTAR POPULADA OBRIGATORIAMENTE E ELA SERA CHECADA
    $vaiCriarRegistro="NAO";
	foreach($dados as $information){
	  $contaColuna++;
	  //echo("480linha=contaLinha  information=$information<br>"); 
	  //aqui  vai checar o 1º elemento populado. Na qualiteste é o prorio numero da amostra	
	  if($contaColuna==1):
	      //echo("482  information=$information<br>"); 
		  if($information!=""):
		      $information=trim($information);
		      $tama=strlen($information);
              //despreza caracateres que nao sao numeros
			  $texto="";
              for($ii=0;$ii<=$tama;$ii++):
                $c=substr($information,$ii,1);			  
			    if($c=='0'||$c=='1'||$c=='2'||$c=='3'||$c=='4'||$c=='5'||$c=='6'||$c=='7'||$c=='8'||$c=='9')$texto=$texto.$c;
			  endfor;
			  $tama=strlen($texto);
			  $information=$texto;
			  
		      //echo("483   information=$information  tama=$tama    <br>");
		      $contaLinha++;
              $vaiCriarRegistro="SIM";
	      endif;		   
	  endif;   
      if($vaiCriarRegistro=="SIM"):
        //if($contaColuna<4)echo("492 contaLinha= $contaLinha contaColuna=$contaColuna nformation=$information<br>"); 
        $vetorFinal[$contaLinha][$contaColuna]=$information;//cria o vetor bidimensional
      endif;
	}
    
	}
	// Fecha arquivo aberto
	fclose($arquivo);
    //echo("498 acabou de ler o contalinha=$contaLinha<br>");
    $colunaCodCultivar=17;


	//ja vai colocar no programa
    //faz verificacoes
	//verifica se os numeros de amostra estao livres
    $userAmo = new amostras();
    $user = new cultivaresespecies();
	  for($i=1;$i<=$contaLinha;$i++):
		$protocolo=$vetorFinal[$i][1];
        //echo("506   protocolo=$protocolo<br>");



		$especie=trim($vetorFinal[$i][4]);
		$cultivar=trim($vetorFinal[$i][5]);
		//echo("nome Cultivar  $cultivar  <br>");
		
		//$protocolo=585;
		//testa se tem a amostra
		if($protocolo>0):
			$userAmo->extras_select = "WHERE fic_ano='2020' and fic_amostra=".$protocolo;
			//echo $userAmo->extras_select;
			$userAmo->selecionaTudo($userAmo);
			while($resAmo = $userAmo->retornaDados()):
	          echo("<br>Amostra $protocolo ja existe");		
			endwhile;
        endif; 
		//vAI TESTAR A CULTIVAR//////////////////////
		$cultivar=trim($cultivar);
		$especie=trim($especie);
        if($cultivar=='-O-'):
		    $especie=strtoupper($especie);
		    $user->extras_select = "where ctv_especie=esp_id && hac_id_labo=".$idLabo." && hac_id_cultivar=ctv_id  and ctv_nome='-O-' and esp_nome='".$especie."'";
			//$user->extras_select = "where ctv_especie=esp_id && hac_id_labo=".$idLabo." && hac_id_cultivar=ctv_id  and ctv_nome='".$cultivar."'";
		   	$user->selecionaTudo($user);
			$contador=0; 
			$codCultivar=0; 
		    while ($res = $user->retornaDados()):
			  $codCultivar=$res->ctv_id;
			  //echo("<br>codCultivar  $codCultivar  contador=$contador<br>");
			  $vetorFinal[$i][$colunaCodCultivar]=$codCultivar;
	          $contador++;
		    endwhile;
			//$tama=strlen($cultivar);          
			//if($contador==0)echo("<br>Cultivar $cultivar   nao foi encontrada tama=$tama<br>");
		else:
			$user->extras_select = "where ctv_especie=esp_id && hac_id_labo=".$idLabo." && hac_id_cultivar=ctv_id  and ctv_nome='".$cultivar."'";
		    $user->selecionaTudo($user);
			$contador=0; 
			$codCultivar=0; 
		    while ($res = $user->retornaDados()):
			  $codCultivar=$res->ctv_id;
			  //echo("<br>codCultivar  $codCultivar  contador=$contador<br>");
			  $vetorFinal[$i][$colunaCodCultivar]=$codCultivar;
	          $contador++;
		    endwhile;
			$tama=strlen($cultivar);          
			if($contador==0)echo("<br>Cultivar $cultivar   nao foi encontrada tama=$tama<br>");
        endif;// testou se a cultivar é  -O- 
		///////////////////
      endfor;  	
endif;//PERGUNTA SE JA FEZ UPALODA

    ?>
	                 
    <form class="userform" method="POST" action="">
	<table  bgcolor="#bbe0e1" width="1000">
	
	
	<?php
     
	  for($i=1;$i<=$contaLinha;$i++):
        echo "<tr>";	  
	      for($j=1;$j<=17;$j++):
             echo "<td>".$vetorFinal[$i][$j]."<td>";
          endfor;	  
        echo "</tr>";	  
	  endfor;
	echo "</table>";
	
	//vai testar se tem amostras que ja tem no banco e se tiver ja nao vai deixar subir
	  for($i=1;$i<=$contaLinha;$i++):
        $protocolo= $vetorFinal[$i][1]; 
        //ENTRA DE QUAKQUER MANEIRA
	    $genericaV=new tabelagenerica();
		$genericaV->tabela="ficha";
		$genericaV->campos_valores = array(
				"fic_id" => NULL,
				"fic_amostra_previa" => NULL,
				"fic_amostra" => NULL,
			);
	    //fic amostra previa 
		$genericaV->extras_select =" where  fic_ano='".$anoCorrente."'  and fic_amostra_previa= " . $protocolo;
		//echo $genericaV->extras_select ;
	    $genericaV->selecionaCampos($genericaV);
		$contaOto=0;
		while ($resgenericaV = $genericaV->retornaDados()):
		    $contaOto++;
			$previa=$resgenericaV->fic_amostra_previa;
	    endwhile;  
	  endfor;
 
	  if($contaOto>1):
	    $podeSubir="NAO";
		$fezUpload="NAO";
	    printMSG('Não pode inserir amostras que ja existem, por exemplo '. $previa ,'alerta');
 	  endif;
	  
	  
	   	

	
	
	
	
	?>
	<!--//////////aqui teria que ter um selecionador de requerente-->
   Já fez upload:<input type="text" name="fezUpload"  size="1" readonly="readonly"  value="<?php echo $fezUpload; ?>" />
   Pode subir:<input type="text" name="podeSubir" size="1" readonly="readonly" value="<?php echo $podeSubir; ?>" /> 
   
    Data recebimento:<input type="text" name="recebimento"  size="5"   value="<?php echo $recebimento; ?>" />
	
    <input type="submit" name="bt_gravaAmostras" <?php echo $desabilita; ?>  value="Confirma Criar amostras(Subir)?" />
	
	
	
	
	
	
	
	</form>
	<form class="userform" method="POST" action=""   enctype="multipart/form-data">
	<tr>
    <td><input type="file" name="arquivo" size="60" />
	Arquivo.csv derivado do excel ,  salvado como CSV SEPARADO POR VÍRGULA--><input type="submit" name="bt_upload" value="Upload do arquivo " /></td>
	</tr>
	</form> 	
	<br>ORIENTAÇÃO/PASSOS:
	<br>Após ter selecionado o remetente e o amostrador, confirme se estão corretos.
	<br>Clique escolher arquivo e abra a pasta que contem os arquivos csv prontos para subir.
	<br>Digite a data da entrada das amostras. Cuide para deixar no formato dd/mm/aaaa.
	<br>Detalhe:O numero da amostra deve ser o primeiro campo da esquerda. Quando for criar a
	<br>a planilha em excel,a primera amostra da lista a ser exportada deve ter o numero subsequente          <br> à última que já existe no silas.
	<br>Caso tudo estiver coreto clique em CONFIRMA CRIAR AMOSTRAS.
	
	
	
	
	
	<?php
	




	
	
break;

  case 'listarRequerente':
   
   	    if(isset($_GET['novodoc'])):
          echo("entrou como novo doc<br>"); 
		  $sessao->setVar('operacao','DOCUMENTO_NOVO');
        endif;
   	    if(isset($_GET['novodocEDITAR'])):
          echo("entrou como novo docEDITAR<br>");  
  		  $sessao->setVar('operacao','DOCUMENTO_EXISTENTE');
        endif;
   
   
   
	    if(isset($_POST['bt_imprimeLista'])):
           echo '<iframe src="listaclientes.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  		
		endif;
		
        if(isset($_POST['bt_imprimeLista'])):
           echo '<iframe src="listaclientes.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  		
		endif;		
		if (isset($_GET['prd_id'])):
			//$prd_id = $_GET['prd_id'];
			//echo $prd_id;
			//$sessao->setVar('idProdutor',$prd_id);
			
			
			//echo '<iframe src="imprimeAmostrasRecebidasCliente.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  	
        endif;

        echo '<h2>SELECIONE PARA QUAL REQUERENTE SERÃO IMPORTADOS DADOS DO EXCEL</h2>';
        loadCSS('data-table',NULL,TRUE);
        loadJS('jquery-datatable');  
	      
        ?>
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum dado econtrado para exibição",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },
                "sScrollY": "400px",
                "sScrollX": "1500px",
                "bPaginate": false,
                "aaSorting": [[0, "asc"]] 
               }); 
            });
        </script>
        <table width="1500" cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
            <thead>
                <tr>
                    <th>Nome requerente</th><th>Apelido</th><th>Cod</th><th>CPF/CNPJ</th><th>Vínculo</th><th>Pagador</th><th>%Desc</th><th>Endereco</th><th>Municipio</th><th>RENASEM</th>
                </tr>
            </thead>
            <tbody>
                <?php 
                $user = new remetentes();
				$user->extras_select = "WHERE prd_id_lab=".$idLabo;

                $user->selecionaTudo($user);
                while ($res = $user->retornaDados()):
                    echo '<tr>';
                    printf('<td>%s',substr($res->prd_nome,0,30));
					printf('
					<a href="?m=registrandoComExcel&t=listarAmostrador&prd_id=%s" title="Editar"><img src="images/edit.png" alt="Editar" /></a>
					
					</td>',$res->prd_id);
                    printf('<td>%s</td>',substr($res->prd_apelido,0,14));
                    printf('<td>%s</td>',substr($res->prd_id,0,14));
                    printf('<td>%s</td>',substr($res->prd_cpf,0,14));
                    printf('<td>%s</td>',substr($res->prd_cod_amostrador,0,8));
                    printf('<td>%s</td>',substr($res->prd_detalhe,0,8));
                    printf('<td>%s</td>',substr($res->prd_desconto,0,8));
                    printf('<td>%s</td>',$res->prd_endereco);
                    printf('<td>%s</td>',substr($res->prd_municipio,0,30));
                    printf('<td>%s</td>',substr($res->prd_renasem,0,30));
                    //printf('<td class="center">%s</td>',date("d/m/Y",strtotime($res->prd_datacad)));
                   
                    echo '</tr>';
                endwhile;                
                ?>
            </tbody>
        </table>
	
        
        <?php        
    break;//fecha o case listar requerentes

   //Vai listar requerente		
    case 'listarAmostrador':
	
	if (isset($_GET['prd_id'])):
        $prd_id = $_GET['prd_id'];
		//echo("xxxxxxxxxxxxxxleuprd_id=$prd_id<br>");
		$sessao->setVar('idProdutor',$prd_id);
		
		//captura o requerente
		$userbd = new remetentes();
        $userbd->extras_select = "WHERE  prd_id=$prd_id";
        $userbd->selecionaTudo($userbd);
        $resbd = $userbd->retornaDados();
		$nomeProdutor=$resbd->prd_nome;
		
		$sessao->setVar('controle3',$nomeProdutor);
    endif;
        echo '<h2>Amostrador vinculado ao requerente(Apenas um))</h2>';
		
        loadCSS('data-table',NULL,TRUE);
        loadJS('jquery-datatable');        
        ?>
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum dado econtrado para exibição",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },
                "sScrollY": "400px",
                "bPaginate": false,
                "aaSorting": [[0, "asc"]] 
               }); 
            });
        </script>
        <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
            <thead>
                <tr>
                    <th>Nome</th><th>cod</th><th>Endereco</th><th>Municipio</th><th>Cadastro</th><th>Cod</th>
                </tr>
            </thead>
            <tbody>
                <?php 
                $user = new amostradores();
				$user->extras_select = "WHERE amt_lab=".$idLabo;

                $user->selecionaTudo($user);
                while ($res = $user->retornaDados()):
                    echo '<tr>';
                    printf('<td>%s',$res->amt_nome);
					printf('
					<a href="?m=registrandoComExcel&t=telaGeral&amt_id=%s" title="Editar"><img src="images/edit.png"        alt="Editar" /></a>
                    </td>',$res->amt_id);
					printf('<td>%s</td>',$res->amt_id);
					//este fonciona//////////////
					//printf('<td>%s',substr($res->prd_nome,0,30));
					//printf('
					//<a href="?m=registrandoComExcel&t=listarAmostrador&prd_id=%s" title="Editar"><img src="images/edit.png" alt="Editar" /></a>
					//</td>',$res->prd_id);
					/////////////
                    printf('<td>%s</td>',$res->amt_endereco);
                    printf('<td>%s</td>',$res->amt_municipio);
                    printf('<td class="center">%s</td>',date("d/m/Y",strtotime($res->datacad)));
                    printf('<td>%s</td>',$res->amt_id);
                   
                    echo '</tr>';
                endwhile;                
                ?>
            </tbody>
        </table>
        
        <?php        
    break;






	default:
		  echo '<p>A tela solicitada não existe.</p>';
		break;
endswitch;
?>